
from app.scripts import BaseFolderScript
import os
import app.selinux


class FolderScript(BaseFolderScript):

    def createFolders(self):
        self.applyFolderPermissions()

    def deleteFolders(self):
        pass

    def applyFolderPermissions(self):

        apacheUserHomeDir = os.path.join(self.cfg['HOME_DIR_BASE'], self.cfg["HTTPD_USER"])

        if os.path.isdir(apacheUserHomeDir):
            app.selinux.File.setContext(apacheUserHomeDir, 'httpd_sys_content_t')





