from app.scripts import BaseBootstrapScript
import app.util
import os

class BootstrapScript(BaseBootstrapScript):

    scriptDescription = "Create Templates folder"

    def bootstrap(self):
        dirPath = self.cfg['TEMPLATES_DIR']
        appUser = self.cfg['APP_USER']
        appGroup = self.cfg['APP_GROUP']

        if os.path.islink(dirPath):
            dirPath = os.readlink(dirPath)
        app.util.runSystem("mkdir -p %s" % dirPath, self.log)
        app.util.runSystem("chown %s:%s %s" % (appUser,appGroup,dirPath), self.log)
