
from app.scripts import BaseFolderScript
import os
import app.selinux


class FolderScript(BaseFolderScript):

    def createFolders(self):

        self.applyFolderPermissions()

    def deleteFolders(self):
        pass

    def applyFolderPermissions(self):

        appUserHomeDir = os.path.join(self.cfg['HOME_DIR_BASE'], self.cfg["APP_USER"])

        if os.path.isdir(appUserHomeDir):
            app.selinux.File.setContext(appUserHomeDir, 'httpd_sys_content_t')




