__copyright__ = "Copyright (c) 2007 CollabNet, Inc. All rights reserved."

from app.scripts import BaseCreateRuntimeScript
import app.util
import app.batch
import app.preprocessor
import os
import service.util
import service.constants

class CreateRuntimeScript(BaseCreateRuntimeScript):

    scriptDescription = "Create Database pgpass file"

    def createRuntime(self):
        passStr = "%s:%s:%s:%s" % (
            self.cfg['ctfcore-database-admin/dependency/ctfcore-database/jdbc/host'],
            self.cfg['ctfcore-database-admin/dependency/ctfcore-database/jdbc/port'],
            self.cfg['DATABASE_NAME'],
            self.cfg['DATABASE_USERNAME'])
        app.util.runSystem("echo '%s' > %s " % (passStr, self.cfg['PGPASSFILE']), self.log)

        if self.cfg['ctfcore-database-admin/dependency/ctfcore-database/jdbc/host'] != self.cfg['APPLICATION_HOST']:
            passStr = "%s:%s:postgres:%s" % (
                self.cfg['ctfcore-database-admin/dependency/ctfcore-database/jdbc/host'],
                self.cfg['ctfcore-database-admin/dependency/ctfcore-database/jdbc/port'],
                self.cfg['DATABASE_USERNAME'])
            app.util.runSystem("echo '%s' >> %s " % (passStr, self.cfg['PGPASSFILE']), self.log)

        app.util.runSystem("chmod 0600 %s" % self.cfg['PGPASSFILE'], self.log)
