__copyright__ = "Copyright (c) 2007 CollabNet, Inc. All rights reserved."

from app.scripts import BaseCreateRuntimeScript
import app.util
import app.batch
import app.preprocessor
import os

class CreateRuntimeScript(BaseCreateRuntimeScript):

    scriptDescription = "Create apache down msg script"

    def createRuntime(self):
        httpdDocRoot = self.cfg['HTTPD_DOCUMENT_ROOT']
        tmplHTMLFile = os.path.join(app.defaults.DEFAULT_SERVICE_DIR, 'ctfcore', 'code-templates', 'apache_down.html.tmpl')
        htmlFile = os.path.join(httpdDocRoot,
             'apache_down.html')
        tokenProcessor = app.util.getTokenProcessor(self.cfg)
        tokenProcessor.copyWithSubstitution(tmplHTMLFile, htmlFile)
        app.util.runSystem("chmod 755 %s " % htmlFile, self.log)

