__copyright__ = "Copyright (c) 2013 CollabNet, Inc. All rights reserved."

from app.scripts import BaseConfigScript
import app.landscape

class ConfigScript(BaseConfigScript):

    def configSnippet(self):
        if app.landscape.Landscape.getSite().getLocalMachine().isClustered():
            return """
                    <extension module="org.jboss.as.clustering.jgroups"/>
                    <extension module="org.wildfly.extension.clustering.singleton"/>"""
        else:
            return ""
