__copyright__ = "Copyright (c) 1999-2007 CollabNet, Inc. All rights reserved."

from app.scripts import BaseCreateRuntimeScript
import app.util
import app.batch
import app.preprocessor
import os

class CreateRuntimeScript(BaseCreateRuntimeScript):

    scriptDescription = "Create JBoss control script"

    def createRuntime(self):
        runtimeScripts = self.cfg['RUNTIME_SCRIPTS']
        tmplSHFile = os.path.join(app.defaults.DEFAULT_SERVICE_DIR, 'jboss', 'code-templates', 'run.sh.tmpl')
        shFile = os.path.join(runtimeScripts,
             'run.sh')
        tokenProcessor = app.util.getTokenProcessor(self.cfg)
        tokenProcessor.copyWithSubstitution(tmplSHFile, shFile)
        app.util.runSystem("chmod 755 %s " % shFile, self.log)
