__copyright__ = "Copyright (c) 2007 CollabNet, Inc. All rights reserved."

from app.scripts import BaseCreateRuntimeScript
import app.util
import app.batch
import os
import commands
import shutil
import service.util
import service.constants

class CreateRuntimeScript(BaseCreateRuntimeScript):

    scriptDescription = "Setup Dynamic Linker configuration"

    def createRuntime(self):
        if self.cfg['DATABASE_TYPE'] == 'oracle':
           oracle_lib = os.path.join(self.cfg['ORACLE_HOME'], "lib")
           if not(os.path.isdir("/etc/ld.so.conf.d")):
              app.util.runSystem("mkdir -p %s" % "/etc/ld.so.conf.d/", self.log)
           ldconfigFile = open("/etc/ld.so.conf.d/oracle-libs.conf", 'w')
           ldconfigFile.write(oracle_lib)
           ldconfigFile.close()
           app.util.runSystem("/sbin/ldconfig", self.log)
