__copyright__ = "Copyright (c) 2010 CollabNet, Inc. All rights reserved."

from app.scripts import BaseOptionScript
import app.util
import service.util
import app.preprocessor
import os

class OptionScript(BaseOptionScript):

    def optionSnippet(self):
        xinetdServiceCmd = "/etc/init.d/xinetd"
        tfSystemd = os.path.join(self.cfg["RUNTIME_SCRIPTS"], 'tfsystemd')
        if "redhat-7" in self.cfg["PLATFORM"]:
            xinetdServiceCmd = "%s xinetd" % tfSystemd
        return "XINETD_SERVICE_CMD=%s\n" %(xinetdServiceCmd)
