__copyright__ = "Copyright (c) 2007 CollabNet, Inc. All rights reserved."

from app.scripts import BaseOptionScript
import app.util
import service.util
import app.preprocessor
import os

class OptionScript(BaseOptionScript):

    def optionSnippet(self):
        ReturnStr = ""
        if self.cfg['ORCHESTRATE_ENABLED'] == 'true':
            if self.cfg.has_key('ORC_PROTOCOL'):
               OrcProtocol = self.cfg.get('ORC_PROTOCOL')
               if self.cfg.has_key("ORC_SSL_CA_CERT_FILE"):
                   OrcSSLCertFile = self.cfg['ORC_SSL_CA_CERT_FILE']
               else:
                   OrcSSLCertFile = ''
               if OrcProtocol == 'https':
                 ReturnStr = "ORC_SSL_CA_CERT_FILE=%s"%OrcSSLCertFile
            else:
               OrcProtocol = "https"

            if self.cfg.has_key('ORC_PORT'):
               OrcPort = self.cfg.get ('ORC_PORT')
            else:
               OrcPort = "8844"

            if self.cfg.has_key('ORC_HOSTNAME'):
               OrcHostname = self.cfg.get('ORC_HOSTNAME')
            else:
               OrcHostname = "localhost"

            if self.cfg.has_key('ORC_PROXIED_PATH'):
               OrcProxiedPath = self.cfg.get('ORC_PROXIED_PATH')
            else:
               OrcProxiedPath = "/orc"

            return "\n".join(["ORCHESTRATE_ENABLED=true",
                              "ORC_PORT=%s" %OrcPort,
                              "ORC_HOSTNAME=%s" %OrcHostname,
                              "ORC_PROXIED_PATH=%s" %OrcProxiedPath,
                              "ORC_PROTOCOL=%s" %OrcProtocol])

        else:
            return "\n".join(["ORCHESTRATE_ENABLED=false"])


