_copyright__ = "Copyright (c) 1999-2007 CollabNet, Inc. All rights reserved."

from app.scripts import BaseOptionScript

import service.util
import service.constants
import commands
import string

class OptionScript(BaseOptionScript):
    def optionSnippet(self):
        if self.cfg.has_key('POSTGRES_INTERFACE'):
            ip = self.cfg['POSTGRES_INTERFACE']
            nic =  ip.split(" ")
            interface_ip = ''
            for i in nic:
                interface_ip += commands.getoutput("ip -o -4 addr list %s | awk '{print $4}' | cut -d/ -f1" % i)
                interface_ip += ','
            return "POSTGRES_INTERFACE_IP=%s\n" %(interface_ip[:-1])
        elif self.cfg['PLATFORM'].find('redhat-7') != -1:
            postgres_interface = commands.getoutput("ifconfig -a| grep flags | awk -F: '{print $1;}' |head -n1")
        else:
            postgres_interface = commands.getoutput("ifconfig -a| grep encap |awk '{print $1}'|head -n1")
        postgres_interface_ip = commands.getoutput("ip -o -4 addr list %s | awk '{print $4}' | cut -d/ -f1" % postgres_interface)
        return "POSTGRES_INTERFACE_IP=%s\n" %(postgres_interface_ip)
