from app.scripts import BaseBootstrapScript
import app.util
import os

class BootstrapScript(BaseBootstrapScript):

    scriptDescription = "Create mail folder"

    def __recreateFolder(self, folder):
        if os.path.exists(folder):
            app.util.runSystem("rm -rf %s" % folder, self.log)
        os.makedirs(folder)

    def bootstrap(self):
        jamesDataDir = self.cfg['JAMES_DATA_DIR']

        self.__recreateFolder(jamesDataDir)
        app.util.runSystem("chown %s:%s %s" % (self.cfg['JAMES_USER'], self.cfg['JAMES_GROUP'], jamesDataDir), self.log)
