﻿__copyright__ = "Copyright (c) 2007 CollabNet, Inc. All rights reserved."

from app.scripts import BaseCreateRuntimeScript
import app.util
import app.batch
import os
import socket
import commands
import sys
import pwd

class CreateRuntimeScript(BaseCreateRuntimeScript):

    scriptDescription = "Setup PostgreSQL configuration"

    def createRuntime(self):
        # Create postgresql config file
        app.batch.ConfigBatch(self.log) \
            .addFolder(os.path.join(app.defaults.DEFAULT_SERVICE_DIR, 'postgres-datamart', 'conf-snippets', 'reporting-postgresql.conf.d')) \
            .evaluateIntoFile(self.cfg['REPORTS_PGSQL_POSTGRESQL_CONF_FILE_PATH'])
