import os
import app.servicecontrol

class ServiceController(app.servicecontrol.ServiceController):
    def getPidFile(self):
        return "/var/run/monit.pid"

    def __runMonit(self, verb):
        config = app.util.getRuntimeConfiguration()

        logFile = os.path.join(config['LOG_DIR'], 'monit', 'service.log')

        return os.system("monit %s < /dev/null >> %s 2>&1 &" % (verb, logFile)) == 0

    def startDaemonAsync(self):
        return self.__runMonit("")

    def stopDaemonAsync(self):
        return self.__runMonit("quit")
