﻿import os
import glob
import time

import app.servicecontrol
from app.pgdbadmin import PGCTFDBManager

class ServiceController(app.servicecontrol.ServiceController):
    def isBootstrapped(self):
        cfg = app.util.getRuntimeConfiguration()
        db = PGCTFDBManager(
            cfg.get('DATABASE_NAME'),
            cfg.get('DATABASE_USERNAME'),
            cfg.get('DATABASE_PASSWORD'),
            cfg.get('DATABASE_READ_ONLY_USER'),
            cfg.get('DATABASE_READ_ONLY_PASSWORD'),
            self.logger,
            cfg.get('ctfcore-database/bind/jdbc/port'),
            cfg.get('ctfcore-database/bind/jdbc/host'),
            cfg.get('PGPASSFILE'))

        return db.isDatabaseExisting()
