__copyright__ = "Copyright (c) 2007-2014 CollabNet, Inc. All rights reserved."

from app.scripts import BaseCreateRuntimeScript
import app.util
import app.batch
import app.preprocessor
import os

class CreateRuntimeScript(BaseCreateRuntimeScript):

    scriptDescription = "Create TeamForge properties"

    def createRuntime(self):
        confFile = os.path.join(self.cfg['RUNTIME_DIR'], "conf", "sourceforge.properties")

        app.batch.ConfigBatch(self.log) \
            .addFolder(os.path.join(app.defaults.DEFAULT_SERVICE_DIR, 'legacy-runtime', 'conf-snippets', 'sourceforge.properties.d')) \
            .evaluateIntoFile(confFile)

        fileHandle = open(confFile, 'a')

        if self.cfg.has_key('SOURCEFORGE_PROPERTIES_APPEND'):
            fileHandle.write(self.cfg['SOURCEFORGE_PROPERTIES_APPEND'])

        fileHandle.close()
