﻿__copyright__ = "Copyright (c) 2013 CollabNet, Inc. All rights reserved."

from app.scripts import BaseOptionScript
import app.landscape

class OptionScript(BaseOptionScript):
    def optionSnippet(self):
        clustered = app.landscape.Landscape.getSite().getLocalMachine().isClustered()

        # In a cluster, run the checks more frequently than in a non-clustered environment.
        return "MONIT_CHECK_INTERVAL=%d" % (60 if clustered else 300)
